# Uses of Enum Class
org.jfree.chart3d.axis.LabelOrientation

Packages that use LabelOrientation
Package
Description
org.jfree.chart3d.axis
Axes (`CategoryAxis3D`, `NumberAxis3D` and `LogAxis3D`) plus supporting classes and interfaces.

## Uses of LabelOrientation in org.jfree.chart3d.axis

Methods in org.jfree.chart3d.axis that return LabelOrientation
Modifier and Type
Method
Description
`LabelOrientation`
AbstractValueAxis3D.`getTickLabelOrientation()`
Returns the orientation for the tick labels.
`LabelOrientation`
StandardCategoryAxis3D.`getTickLabelOrientation()`
Returns the orientation for the tick labels.
`static LabelOrientation`
LabelOrientation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LabelOrientation[]`
LabelOrientation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.jfree.chart3d.axis with parameters of type LabelOrientation
Modifier and Type
Method
Description
`void`
AbstractValueAxis3D.`setTickLabelOrientation(LabelOrientation orientation)`
Sets the orientation for the tick labels and sends a change event to all registered listeners.
`void`
StandardCategoryAxis3D.`setTickLabelOrientation(LabelOrientation orientation)`
Sets the orientation for the tick labels and sends a change event to all registered listeners.